%define anolis_release 2
%global base_version 3.44
%global modname ExtUtils-ParseXS

Name:           perl-%{modname}
Epoch:          1
Version:        3.45
Release:        %{anolis_release}%{?dist}
Summary:        Module and a script for converting Perl XS code into C code
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/%{modname}
Source0:        https://cpan.metacpan.org/authors/id/X/XS/XSAWYERX/%{modname}-%{base_version}.tar.gz
Patch0:         ExtUtils-ParseXS-3.44-Upgrade-to-3.45.patch

BuildRequires:  make coreutils perl-generators perl-interpreter
BuildRequires:  perl(Config) perl(lib) perl(Carp) perl-devel
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(Carp)
BuildRequires:  perl(File::Spec) perl(File::Basename) perl(File::Temp)
BuildRequires:  perl(strict) perl(warnings) perl(attributes) perl(Cwd) perl(re) perl(Symbol)
BuildRequires:  perl(Exporter) >= 5.57 perl(ExtUtils::CBuilder)
BuildRequires:  perl(Test::More) >= 0.47 perl(DynaLoader) perl(overload)

Requires:       perl(Exporter) >= 5.57

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Exporter\\)$

BuildArch:      noarch

%description
ExtUtils::ParseXS will compile XS code into C code by embedding the
constructs necessary to let C functions manipulate Perl values and creates
the glue necessary to let Perl access those functions.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{modname}-%{base_version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}
rm -f %{buildroot}%{perl_vendorlib}/ExtUtils/xsubpp
ln -s ../../../../bin/xsubpp %{buildroot}%{perl_vendorlib}/ExtUtils/xsubpp

%check
make test

%files
%{_bindir}/xsubpp
%{perl_vendorlib}/
%{_mandir}/man1/*
%{_mandir}/man3/*

%files doc
%doc Changes

%changelog
* Thu Apr 13 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 3.45-2
- Refactor the specfile

* Tue Feb 07 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.45-1
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.44-2
- rebuild with perl 5.36.0

* Mon Apr 18 2022 gcdota930915 <taifu.gc@alibaba-inc.com> - 3.44-1
- Init from upstream version 3.44
